> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-reference-architecture/v20/port-reference-and-ssl-certificates/port-reference/ras-console.md).

# RAS Console

| Source      | Destination               | Protocols            | Ports                                               | Description                                                                                                                                                                                                                   |
| ----------- | ------------------------- | -------------------- | --------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| RAS Console | RAS Reporting             | TCP                  | 30008                                               | RAS Console is connected to primary RAS Connection Broker which communicates with RAS Reporting (installed on the same host as SSRS). SSRS talks to SQL via TCP 1433 (or dynamic if 1433 is not established in the settings). |
|             | SSRS                      | TCP                  | 443                                                 | Reports retrieval.                                                                                                                                                                                                            |
|             | HALB                      | TCP, UDP             | 31006                                               | Used for configuration.                                                                                                                                                                                                       |
|             | Parallels Client          | TCP                  | 50005                                               | Shadowing from the RAS Console in case of direct network connection.                                                                                                                                                          |
|             | RAS RD Session Host Agent | UDP, TCP             | 30004                                               | <p>Used for the "Check Agent" task.</p><p>Used to manage components.</p>                                                                                                                                                      |
|             | <p>TCP</p><p>UDP</p>      | <p>TCP</p><p>UDP</p> | <p>30010</p><p>30009</p>                            | <p>Used for the "Check Agent" task.</p><p>Used to manage components.</p>                                                                                                                                                      |
|             | RAS Remote PC Agent       | UDP, TCP             | 30004                                               | <p>Used for the "Check Agent" task.</p><p>Used to manage components.</p>                                                                                                                                                      |
|             | RAS Provider Agent        | UDP, TCP             | 30006                                               | <p>Used for the "Check Agent" task.</p><p>Used to manage component.</p>                                                                                                                                                       |
|             | MFA Server(s)             | TCP, UDP             | 8080, 80, 1812, 1813                                | Deepnet / Safenet / Radius                                                                                                                                                                                                    |
|             | Microsoft site            | TCP                  | 80, 443                                             | Check for updates and download Parallels Client                                                                                                                                                                               |
|             | Parallels site            | TCP                  | 80                                                  | Check for updates and download Parallels Client                                                                                                                                                                               |
|             | RAS Performance Monitor   | TCP                  | 3000                                                | RAS browser plugin connection to Grafana.                                                                                                                                                                                     |
|             | RAS Connection Broker     | TCP                  | 20002, 20001                                        | Communication with Connection Broker and redundancy.                                                                                                                                                                          |
|             | RAS Enrollment Server     | TCP, UDP             | 30030                                               | <p>Used for the "Check Agent" task.</p><p>Used to manage components and for troubleshooting.</p>                                                                                                                              |
|             | Wyse Broker               | UDP                  | <p>1234 (outbound only)</p><p>68 (inbound only)</p> | <p>Wyse broker discovery request broadcast packet (V\_WYSEBCAST).</p><p>Wyse broker discovery reply packet (V\_WYSETEST).</p>                                                                                                 |
|             | SMTP                      | TCP                  | 587                                                 | RAS Console can send test emails using port specified in the Mailbox settings (+SSL/TLS)                                                                                                                                      |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.parallels.com/landing/ras-reference-architecture/v20/port-reference-and-ssl-certificates/port-reference/ras-console.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
